#ifndef __MOU_MOO__
#define __MOU_MOO__

#include <SDL/SDL.h>
#include <inc/adb.h>

extern void MOU_pre_init (void);
extern void MOU_init (void);
extern void MOU_motion_event (SDL_MouseMotionEvent *event);
extern void MOU_button_event (SDL_MouseButtonEvent *event);
extern void MOU_set_callback (int mask, int seg, ui off);
extern void MOU_get_callback (int *mask, int *seg, ui *off);
extern int  MOU_get_state (int *x, int *y);
extern void MOU_set_position (int x, int y);
extern void MOU_hide_cursor (void);
extern void MOU_show_cursor (void);
extern void MOU_set_threshold (int threshold);
extern void MOU_set_mickey_ratio (int x_mickey_scale, int y_mickey_scale);
extern void MOU_set_vertical_range (int min, int max);
extern void MOU_set_horizontal_range (int min, int max);
extern void MOU_read_motion_counters (int *dx, int *dy);

#endif /* __MOU_MOO__ */
