#ifndef __RED_MOO
#define __RED_MOO

#ifndef __ASM__
#include <inc/mem.h>
#define RED_ICE 0xf1
#endif

#define RED_SEGMENT 0xe000
#define RED_FLAT(n) (MEM_REAL(RED_SEGMENT<<4)|(n))
#define RED_INTERRUPT_00 0

#ifndef __ASM__
enum {
  RED_INTERRUPT_ff = RED_INTERRUPT_00 + 0xff,
  RED_MOUSE_RETF,
  RED_ASYNC_IRET,
  RED_XMS_JUMP,
  RED_XMS_JUMP_ENDS = RED_XMS_JUMP + 5,
  RED_XMS_FUNC,
  RED_EMS_SEGMENT = (RED_XMS_FUNC + 0xf) & ~0xf,
  RED_EMS_JUMP = RED_EMS_SEGMENT,
  RED_EMS_JUMP_ENDS = RED_EMS_JUMP + 5,
  RED_EMS_NAME = RED_EMS_JUMP_ENDS + 5,
  RED_EMS_ENDS = RED_EMS_NAME + sizeof ("EMMXXXX0"),
  RED_END
};
#endif

#endif
