#ifndef __PIC_MOO__
#define __PIC_MOO__

#include <inc/adb.h>

typedef void (*PIC_handler) (int);

extern void PIC_init (void);
extern int  PIC_run (void);
extern void PIC_register (ub irq, PIC_handler eoi_handler);
extern void PIC_request_service (ub irq);
extern void PIC_eoi (int ncont);
extern int  PIC_irq_pending (void);

#endif /* __PIC_MOO__ */
